Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 14 Nov 2021 04:50:12 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear ,, 

My refund it takes long time to cover it ,, now more than 14 days and my money still not refund, could please refund it .. 

And since the time was late, I went back to buy the things I wanted, and the old amount was not returned to my account. Please return quickly, or I will file a complaint. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3359664